<?php
/*
Plugin Name: Fancy Transitions Featured Gallery
Plugin URI: http://www.workshop.rs
Description: ftFeatured is Wordpress plugin for creating image gallery with fancy transition effects of featured posts. You can choose between three types of transition effects: curtain, wave and zipper. Also, you can set width, height, delay time, number of posts etc.
Version: 1.4.0
Author: Ivan Lazarevic
Author URI: http://www.workshop.rs
*/

/*  Copyright 2009  Ivan Lazarevic  (email : devet.sest@gmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

/* options page */
$options_page = get_option('siteurl') . '/wp-admin/admin.php?page=fancy-transitions-featured-gallery/options.php';

function ftfeatured_options_page() {
	add_options_page('Fancy Transitions Featured Options', 'Fancy Transitions Featured Gallery', 10, 'fancy-transitions-featured-gallery/options.php');
}

function ftfeatured_styles() {

    $gallery_path =  get_bloginfo('wpurl')."/wp-content/plugins/fancy-transitions-featured-gallery/";

	$galleryscript = "
		<link rel=\"stylesheet\" href=\"".$gallery_path."css/jqFancyTransitions.css.php\" type=\"text/css\" media=\"screen\" charset=\"utf-8\"/>
		<script type=\"text/javascript\" src=\"".$gallery_path."scripts/jquery-1.3.2.js\"></script>
		<script type=\"text/javascript\" src=\"".$gallery_path."scripts/jqFancyTransitions.1.7.min.js\"></script>
	";

	echo $galleryscript;
}

add_action('wp_head', 'ftfeatured_styles');
add_action('admin_menu', 'ftfeatured_options_page');
?>