
<div id="ftFeatured">

    <?php 

    	$tmp_query = $wp_query; 

    	query_posts('category_name='.get_option('ftfeatured-category').'&showposts=50');
    
	    if (have_posts()) : 
	    	$i = 0;
	    	$no = get_option('ftfeatured-items') ? get_option('ftfeatured-items') : 5;
	    	$imgField = get_option('ftfeatured-image') ? get_option('ftfeatured-image') : 'ftImage';
	    	$txtField = get_option('ftfeatured-text') ? get_option('ftfeatured-text') : 'ftText';
	    	while (have_posts() && $i<$no) : 
	    	
	    		the_post(); 
	    	
	    		$image = get_post_meta($post->ID, $imgField , true);
	    		$text = get_post_meta($post->ID, $txtField , true);
	    		if ($text) $text = "<br /><span>".$text."</span>";
	    		if ($image != ''){ ?>
	    	 		<img src="<?php echo $image; ?>" alt="<a href='<?php the_permalink() ?>'><?php the_title() ?></a><?= $text ?>" />
	      <?php } 
	    	 
	      	$i++;
	      	endwhile;
	    endif; 

	    $ftEffect = get_option('ftfeatured-effect') ? get_option('ftfeatured-effect') : 'curtain';
	    $ftStrips = get_option('ftfeatured-stripes') ? get_option('ftfeatured-stripes') : 20;
	    $ftWidth = get_option('ftfeatured-width') ? get_option('ftfeatured-width') : 500;
	    $ftHeight = get_option('ftfeatured-height') ? get_option('ftfeatured-height') : 332;	    
	    $ftDelay = get_option('ftfeatured-delay') ? get_option('ftfeatured-delay') : 5000;
	    $ftNavigation = get_option('ftfeatured-navigation') ? true : false;
	    
	    $wp_query = $tmp_query;
	    
	?>
    
</div>

<script type="text/javascript">

	$("#ftFeatured").jqFancyTransitions({ 
		effect: '<?= $ftEffect; ?>',
		strips: <?= $ftStrips; ?>,
		width: <?= $ftWidth; ?>,
		height: <?= $ftHeight; ?>,
		delay: <?= $ftDelay; ?>,
		navigation: <?= $ftNavigation; ?>
	}); 

</script>

