<?php
$location = $options_page; // Form Action URI
?>
<style>
	.ftFeatured label { width: 350px; float: left; }
</style>
<div class="wrap">
	<h2>Fancy Transitions Featured Gallery Configuration</h2>
	
	<p>
		For more information visit <a href="http://">http://www.workshop.rs/</a>		
	</p>
    
        <form method="post" action="options.php" class="ftFeatured">
        
			<?php wp_nonce_field('update-options'); ?>

        	You should add this code to your template file where you want ftFeatured gallery:<br /><br />
       		<code>&lt;&#63;include (ABSPATH . '/wp-content/plugins/fancy-transitions-featured-gallery/ftFeatured.php'); &#63;&#62;</code>
			<br /><br /><br />        
        	<strong>Set ftFeatured parameters:</strong>
        	<br /><br />

        	<label>Number of Items to Display (5 by default):</label>
        	<input name="ftfeatured-items" id="ftfeatured-items" size="5" value="<?php echo get_option('ftfeatured-items'); ?>"></input> 
			<br /><br />
	        <label>Width in Pixels (500px by default):</label>
        	<input name="ftfeatured-width" id="ftfeatured-width" size="5" value="<?php echo get_option('ftfeatured-width'); ?>"></input>
			<br /><br />
	        <label>Height in Pixels (332px by default):</label>
	        <input name="ftfeatured-height" id="ftfeatured-height" size="5" value="<?php echo get_option('ftfeatured-height'); ?>"></input>
        	<br /><br />
        	<label>Number of Stripes (20 by default):</label>
        	<input name="ftfeatured-stripes" id="ftfeatured-stripes" size="5" value="<?php echo get_option('ftfeatured-stripes'); ?>"></input> 
			<br /><br />
        	<label>Slide Display Duration in ms (5000ms by default):</label>
       		<input name="ftfeatured-delay" id="ftfeatured-delay" size="5" value="<?php echo get_option('ftfeatured-delay'); ?>"></input>
			<br /><br />
       		<label>Choose your slide transition effect:</label>
		
		        <?php  $ftCurtain = (get_option('ftfeatured-effect') == 'curtain' || get_option('ftfeatured-effect') == '') ? "checked" : ""; 
		        	   $ftWave = get_option('ftfeatured-effect') == 'wave' ? "checked" : "";
		        	   $ftZipper = get_option('ftfeatured-effect') == 'zipper' ? "checked" : "";  
		        ?>

	        <input type="radio" name="ftfeatured-effect" class="ftfeatured-effect" value="curtain"  <?php echo $ftCurtain; ?>> Curtain
			<input type="radio" name="ftfeatured-effect" class="ftfeatured-effect" value="wave"  <?php echo $ftWave; ?>> Wave
			<input type="radio" name="ftfeatured-effect" class="ftfeatured-effect" value="zipper"  <?php echo $ftZipper; ?>> Zipper
			<br /><br />
		    
		    <label>Show navigation prev and next links (false by default):</label>
			<?php if(get_option('ftfeatured-navigation') != ""){ $ch = "checked=''"; } else { $ch = ''; }?>
			<input type="checkbox" id="ftfeatured-navigation" name="ftfeatured-navigation" <?php echo $ch ?> />
			<br /><br />
        	<label>Show navigation numbers (false by default):</label>
			<?php if(get_option('ftfeatured-navigationno') != ""){ $ch = "checked=''"; } else { $ch = ''; }?>
			<input type="checkbox" id="ftfeatured-navigationno" name="ftfeatured-navigationno" <?php echo $ch ?> />
			<br /><br /><br />
        <strong>Custom Fields</strong>
		<br /><br />
      		For each post that you want to be featured you must have custom field with full url to image and optionaly field with text for title bar. <br /><br />


        	<label>Image field (ftImage by default):</label>
       		<input name="ftfeatured-image" id="ftfeatured-image" size="25" value="<?php echo get_option('ftfeatured-image'); ?>"></input>		
  			<br /><br />
  			<label>Text field (ftText by default):</label>
       		<input name="ftfeatured-text" id="ftfeatured-text" size="25" value="<?php echo get_option('ftfeatured-text'); ?>"></input>		    		
      		<br /><br />
         	<label>Show post from category (all by default):</label>
        	<input name="ftfeatured-category" id="ftfeatured-category" size="25" value="<?php echo get_option('ftfeatured-category'); ?>"></input> 
			<br /><br />     		

                        
        <input type="hidden" name="action" value="update" />
        <input type="hidden" name="page_options" value="ftfeatured-items,ftfeatured-width,ftfeatured-height,ftfeatured-delay,ftfeatured-stripes,ftfeatured-effect,ftfeatured-image,ftfeatured-text,ftfeatured-category,ftfeatured-navigation,ftfeatured-navigationno" />
		For more information visit <a href="http://">http://www.workshop.rs/</a>
		<br /><br />
		<input type="submit" name="Submit" value="<?php _e('Update Options') ?>" />

	</form>      
</div>